<?php

namespace Drupal\popup\Controller;

/**
 * @file
 * Contains \Drupal\popup\Controller\PopupController.
 */

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Form\FormBuilderInterface;
use Drupal\popup\Utility\DescriptionTemplateTrait;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class PopupController.
 *
 * @package Drupal\popup\Controller
 */
class PopupController extends ControllerBase {

  use DescriptionTemplateTrait;

  /**
   * The form builder.
   *
   * @var \Drupal\Core\Form\FormBuilderInterface
   */
  protected $formBuilder;

  /**
   * Creates PopupController controller.
   *
   * @param \Drupal\Core\Form\FormBuilderInterface $form_builder
   *   The form builder.
   */
  public function __construct(FormBuilderInterface $form_builder) {
    $this->formBuilder = $form_builder;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('form_builder')
    );
  }

  /**
   * {@inheritdoc}
   */
  protected function getModuleName() {
    return 'popup';
  }

  /**
   * Popup administration settings form.
   */
  public function admin() {
    return $this->formBuilder->getForm('Drupal\popup\Form\PopupAdminForm');
  }

}
